Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.data
Class RouterIdentity

    java.lang.Object
      net.i2p.data.DataStructureImpl
          net.i2p.data.KeysAndCert
              net.i2p.data.RouterIdentity

All Implemented Interfaces:
  DataStructure

    public class RouterIdentity

extends KeysAndCert

Defines the unique identifier of a router, including any certificate or public key.

Author:
  jrandom

Field Summary

Fields inherited from class net.i2p.data.KeysAndCert
`__calculatedHash, _certificate, _publicKey, _signingKey`

Constructor Summary
`RouterIdentity()`

Method Summary
`boolean` | `isHidden()` This router specified that they should not be used as a part of a tunnel, nor queried for the netDb, and that disclosure of their contact information should be limited.

Methods inherited from class net.i2p.data.KeysAndCert
`calculateHash, equals, getCertificate, getHash, getPublicKey, getSigningPublicKey, hashCode, readBytes, setCertificate, setPublicKey, setSigningPublicKey, toString, writeBytes`

Methods inherited from class net.i2p.data.DataStructureImpl
`fromBase64, fromByteArray, read, toBase64, toByteArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RouterIdentity

    public RouterIdentity()

Method Detail

### isHidden

    public boolean isHidden()

  This router specified that they should not be used as a part of a tunnel, nor queried for the netDb, and that disclosure of their contact information should be limited.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD